# Delete message

| Description     | Deletes or recovers a message.                                                      |
| --------------- | ----------------------------------------------------------------------------------- |
| **Description** | Deletes or recovers a message.                                                      |
| **Endpoint**    | `/path/{pathId}/vector/timestamp/{timestampId}/feature/message/{messageId}/deleted` |
| **Method**      | PUT                                                                                 |

### Access Level Rules

| **Access Level** | edit+ or owner of the feature |
| ---------------- | ----------------------------- |

### Processing Units

| **Processing units** | 3 |
| -------------------- | - |

### Parameters

<table><thead><tr><th>Name</th><th width="331">Description</th><th>Required</th><th>Default</th></tr></thead><tbody><tr><td><code>pathId</code></td><td>The id of the vector layer.</td><td>true</td><td></td></tr><tr><td><code>timestampId</code></td><td>The id of the timestamp.</td><td>true</td><td></td></tr><tr><td><code>messageId</code></td><td>The id of the message to delete.</td><td>true</td><td></td></tr><tr><td><code>deleted</code></td><td>Boolean whether the series should be deleted or recovered.</td><td>false</td><td>Default true.</td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ellipsis-drive.com/developers/api-v3/path-vector/timestamps/vector-features/feature-messages/delete-message.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
